Ads · Ad Insights
Fetches historical keyword metrics. Works with Google Ads.
POST
https://api.pozy.ai/v1/ads/keywords/historical-metricsGoogle WorkspacegenerateKeywordHistoricalMetrics
Guides: Google Ads, Ads reporting
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the ads resource group disabled get 403 resource_group_disabled. Authentication
Request body
application/json, required
accountIdstringrequiredadAccountIdstringcustomerIdstringdeprecatedkeywordsarray of stringrequiredAt least 1 item. Up to 1000 items. Each item: up to 80 characters.
countriesarray of stringAt least 1 item. Up to 10 items. Each item: 2 to 2 characters.
languageConstantIdstringDefault
1000.networkstringOne of
GOOGLE_SEARCH,GOOGLE_SEARCH_AND_PARTNERS. DefaultGOOGLE_SEARCH.includeAdultKeywordsbooleanincludeAverageCpcboolean
Example
curl -X POST "https://api.pozy.ai/v1/ads/keywords/historical-metrics" \
-H "Authorization: Bearer $POZY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"accountId": "696e0b682d0a31188e7a2ba9",
"keywords": [
"string"
]
}'const res = await fetch("https://api.pozy.ai/v1/ads/keywords/historical-metrics", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.POZY_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
accountId: "696e0b682d0a31188e7a2ba9",
keywords: [
"string"
]
}),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.post(
"https://api.pozy.ai/v1/ads/keywords/historical-metrics",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
json={
"accountId": "696e0b682d0a31188e7a2ba9",
"keywords": [
"string",
],
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
customerIdstringdataarray of objectaggregateMetricResultsobjectCan be null.
200 response
{
"customerId": "691909ff82eb5ed7c816716d",
"data": [
{}
],
"aggregateMetricResults": {}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is read-only, scoped to other profiles, or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Ad Insights
GETGoogle Ads search terms reportGETGoogle Local Services Ads leadsGETList lead conversationsGETGet campaign analyticsPOSTGenerate keyword ideasGETFlexible live insights queryPOSTSubmit async insights reportGETPoll an async insights report runGETGet ad analyticsGETPer-creative performance inside TikTok Smart+ ads